edu.ucsb.nceas.metacat

## Class ArchiveHandler

- java.lang.Object
- - edu.ucsb.nceas.metacat.ArchiveHandler

-     public class ArchiveHandler
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArchiveHandler` | `getInstance()` Get the single instance of SessionService.
    `void` | `readArchiveEntry(java.util.Hashtable<java.lang.String,java.lang.String[]> params, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String user, java.lang.String passWord, java.lang.String[] groups)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ArchiveHandler getInstance()
                                            throws HandlerException

      Get the single instance of SessionService.
      Returns:
        the single instance of SessionService
      Throws:
        `HandlerException`

    - #### readArchiveEntry

          public void readArchiveEntry(java.util.Hashtable<java.lang.String,java.lang.String[]> params,
                                       javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response,
                                       java.lang.String user,
                                       java.lang.String passWord,
                                       java.lang.String[] groups)
                                throws HandlerException,
                                       ErrorSendingErrorException,
                                       ErrorHandledException

      Throws:
        `HandlerException`
        `ErrorSendingErrorException`
        `ErrorHandledException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.